Copiers
Manage copy traders that replicate trades from strategies.
Endpoints
Section titled “Endpoints”| Method | Path | Description |
|---|---|---|
| GET | /v1/copiers | List copiers |
| GET | /v1/copiers/:id | Get copier |
| POST | /v1/copiers | Create copier |
| PATCH | /v1/copiers/:id | Update copier |
| DELETE | /v1/copiers/:id | Delete copier |
| POST | /v1/copiers/:id/start | Start copier |
| POST | /v1/copiers/:id/stop | Stop copier |
List Copiers
Section titled “List Copiers”GET /v1/copierscurl https://api.tokenbot.com/v1/copiers \ -H "X-API-Key: tb_live_your_key"Get Copier
Section titled “Get Copier”GET /v1/copiers/:idCreate Copier
Section titled “Create Copier”POST /v1/copiersRequest Body:
{ "strategy_id": "str_abc123", "exchange_account_id": "exc_def456", "name": "My BTC Copier"}curl -X POST https://api.tokenbot.com/v1/copiers \ -H "X-API-Key: tb_live_your_key" \ -H "Content-Type: application/json" \ -d '{"strategy_id":"str_abc123","exchange_account_id":"exc_def456","name":"My BTC Copier"}'Update Copier
Section titled “Update Copier”PATCH /v1/copiers/:idDelete Copier
Section titled “Delete Copier”DELETE /v1/copiers/:idStart Copier
Section titled “Start Copier”POST /v1/copiers/:id/startActivates the copier to begin replicating trades.
curl -X POST https://api.tokenbot.com/v1/copiers/cop_abc123/start \ -H "X-API-Key: tb_live_your_key"Stop Copier
Section titled “Stop Copier”POST /v1/copiers/:id/stopPauses the copier. Existing positions are not closed.
curl -X POST https://api.tokenbot.com/v1/copiers/cop_abc123/stop \ -H "X-API-Key: tb_live_your_key"
